Bug 166566 - Segmentation fault when Fetching rpm headers
Segmentation fault when Fetching rpm headers
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 09:13 EDT by Tarek Mastouri
Modified: 2012-06-20 12:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:13:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace-result (682.88 KB, text/plain)
2005-08-24 02:11 EDT, Tarek Mastouri
no flags Details
up2date-output (84 bytes, text/plain)
2005-08-24 02:12 EDT, Tarek Mastouri
no flags Details
both (681.54 KB, text/plain)
2005-08-25 03:20 EDT, Tarek Mastouri
no flags Details

  None (edit)
Description Tarek Mastouri 2005-08-23 09:13:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
In both case ; command line or gui and both vrsions up2date-4.4.5-1 and up2date-4.4.5.6-2 when i try to update my system (all the rpms) up2date crash with error message : "Segmentation fault" just after "Fetching rpm headers". its happen also with rhn_check



Version-Release number of selected component (if applicable):
up2date-4.4.5-1 and up2date-4.4.5.6-2

How reproducible:
Always

Steps to Reproduce:
1.launch up2date
2.
3.
  

Additional info:
Comment 1 Suzanne Hillman 2005-08-23 10:49:08 EDT
Could you attach the output of running it under strace? (ie, "strace up2date -u
--nox", or whatever command you were actually using)
Comment 2 Tarek Mastouri 2005-08-24 02:09:58 EDT
I executed the folloing commnd : 


strace up2date -u --nox > up2date-output 2> strace-result 

Kindly find attached the 2 files (up2date-output and strace-result)

Regards
Comment 3 Tarek Mastouri 2005-08-24 02:11:51 EDT
Created attachment 118037 [details]
strace-result
Comment 4 Tarek Mastouri 2005-08-24 02:12:54 EDT
Created attachment 118038 [details]
up2date-output
Comment 5 Suzanne Hillman 2005-08-24 13:43:29 EDT
Hmm. I suspect that those would be more useful if they were together, so it was
easier to tell (I suspect the developer might be able to tell, but I cannot
right now) when the "Fetching Obsoletes list for channel: rh-i386-desktop-4...

Fetching rpm headers..." bits were happening in the strace.

I presume the seg fault happens at the end of the strace you attached?
Comment 6 Tarek Mastouri 2005-08-25 03:18:38 EDT
New file attahed, "Fetching rpm headers..." is in the begin of the file,
actually i executed the following command : 

strace up2date -u --nox > result 2>&1

If you think that there is any better way to have more informations please don't
hesitate.

Thanks and regrds.
Comment 7 Tarek Mastouri 2005-08-25 03:20:51 EDT
Created attachment 118103 [details]
both
Comment 8 Suzanne Hillman 2005-08-25 10:49:12 EDT
Ok, if you could include information about the hardware you are using, and
whether or not it happens on any other machines, that would be excellent.

Additionally, if "up2date -l" works, it would be good to know what the packages
available for download are. If that works, it might also be interesting to check
if you can use up2date to install individual packages, rather than the entire
set at once, without a seg fault. (I'm wondering if it's a specific package or
possibly a specific combination of packages, rather than just up2date in
general, causing this behavior, you see)


Also, if this is something for which you have urgency (I did not get the
impression of such, but figured I'd say so anyway), I note that you would be
best off contacting support by either calling Red Hat's Technical
Support line at 888-GO-REDHAT or filing a web ticket at
http://www.redhat.com/apps/support/.  Bugzilla is not an official support
channel, has no response guarantees, and may not route your issue to the
correct area to assist you.  Using the official support channels above will
guarantee that your issue is handled appropriately and routed to the
individual or group which can best assist you with this issue and will also
allow Red Hat to track the issue, ensuring that any applicable bug fix is
included in all releases and is not dropped from a future update or major
release.
Comment 9 Adrian Likins 2005-10-05 13:10:21 EDT
looks like something in rpmlib, reasigning there
Comment 10 Paul Nasrat 2005-10-25 17:53:58 EDT
ulimit -c unlimited and repeat using strace -fF and attach a compressed version
of the core dumped along with exact rpm version (rpm -q rpm rpm-libs)

Comment 12 Jiri Pallich 2012-06-20 12:13:07 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.